Subject: Re: bug#72915: Docstrings of add-hook and remove-hook improvement?

From: Tomas Nordin <[email-masked]>
Date: Thu, 27 Feb 2025 21:57:10 +0000

Stefan Kangas <[email-masked]> writes:

> Tomas Nordin <[email-masked]> writes:
>
>> Tomas Nordin <[email-masked]> writes:
>>
>>> Stefan Monnier <[email-masked]> writes:
>>>
>>>> The `add-hook` part was OK for me, indeed.
>>>>
>>>> [ I'm no great fan of that paragraph (neither the original nor the one
>>>>   you replace it with), tho, because it's a bit "too detailed" for my
>>>>   taste.  E.g. the value *always* ends up being a list of functions, and
>>>>   the parenthesis states something which sounds to me like it should be
>>>>   inferrable from the rest of the docstring.  ]
>>>
>>> I think I agree, the parenthesized part could be discarded, shortening
>>> the paragraph to
>>>
>>> "HOOK should be a symbol.  If HOOK is void, or if HOOK's value is a
>>> single function, it is changed to a list of functions."
>>
>> I think nothing was installed along this discussion so far. Attached is
>> an attempt to summarize the suggestions as patch.
>
> Thanks.  I think this contribution is bigger than what we can accept
> without a copyright assignment from you to the FSF.
>
> Please see etc/copyright-assign.txt in emacs.git to get started.

Actually I got my assignment confirmed in November last year. It took
some time, but it should be there on file somewhere. Should I provide
the assignment number?